Suggest Tools Endpoint
POST
/api/automations/suggest-tools
const url = 'https://example.com/api/automations/suggest-tools';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '[{"name":"example","type":"example","data_type":"example","format_pattern":["example"],"resolution_mode":"example","source_column_prompt":"example","aggregation_type":"example","is_active":true,"chart_config":"example","chart_aggregation":"example","ai_prompt":"example","ai_data_tags":"example"}]'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/automations/suggest-tools \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '[ { "name": "example", "type": "example", "data_type": "example", "format_pattern": [ "example" ], "resolution_mode": "example", "source_column_prompt": "example", "aggregation_type": "example", "is_active": true, "chart_config": "example", "chart_aggregation": "example", "ai_prompt": "example", "ai_data_tags": "example" } ]'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Request
Array<object>
TagInputobject
name
required
Name
string
type
required
Type
string
data_type
required
Data Type
string
format_pattern
Any of:
Array<string>
null
is_active
Is Active
boolean
chart_config
Any of:
Chart Config
null
chart_aggregation
Any of:
Chart Aggregation
null
ai_data_tags
Any of:
Ai Data Tags
null
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
SuggestToolsResponse
object
success
required
Success
boolean
tag_tools
required
Tag Tools
Array<object>
TagToolMappingobject
tag_name
required
Tag Name
string
suggested_tools
Suggested Tools
Array<object>
ToolSuggestionobject
tool_type
required
Tool Type
string
tool_id
required
Tool Id
string
tool_name
required
Tool Name
string
reason
required
Reason
string
genie_spaces_found
required
Genie Spaces Found
integer
vector_search_indexes_found
required
Vector Search Indexes Found
integer
tokens_used
required
Tokens Used
integer
Example
{ "tag_tools": [ { "suggested_tools": [] } ]}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}